Docs Rizler

V2 Prompts

V2 Prompt History

GEThttps://app.rizzdial.com/api/ai/agent/v2/prompt/history/{agent_id}
V2 Prompt History
curl --request GET \
  --url https://app.rizzdial.com/api/ai/agent/v2/prompt/history/agent_123 \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

V2 Prompt History#

Get Agent Prompt History via API. V2 agents only.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

per_pagestringquery

Optional filter

curl --request GET \
  --url https://app.rizzdial.com/api/ai/agent/v2/prompt/history/agent_123 \
  --header 'Authorization: Bearer {{bearer_token}}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records